Update Prospect List
curl --request PATCH \
--url https://api.goextrovert.com/client/v2/prospect-list/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.goextrovert.com/client/v2/prospect-list/{id}"
payload = {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
campaignId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.goextrovert.com/client/v2/prospect-list/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": "8d256aa6-9b12-49a7-93ee-bf41634b5b60"
},
"message": "Operation completed successfully"
}{
"status": "error",
"data": null,
"message": "An error occurred while processing the request"
}Prospects
Update Prospect List
Updates a prospect list’s name and parent campaign. If campaignId differs from the current parent campaign, the list and all its prospects are moved to that campaign. The returned id is the resulting list id and may differ after a move.
PATCH
/
client
/
v2
/
prospect-list
/
{id}
Update Prospect List
Authorizations
API Key for authentication
Path Parameters
Body
application/json
⌘I